MODULE MIMOSIS_DATA

    INTEGER,PUBLIC                                              :: N_REC 
    INTEGER,PUBLIC                                              :: N_LOCLINES    
    REAL(KIND=SELECTED_REAL_KIND(15,307)),PUBLIC,DIMENSION(3)   :: INFLATE_NOMVAL                       !Index used to inflate nominal values                                   :: 
    INTEGER,PUBLIC                                              :: SIMYEAR    

    CHARACTER(len=150),PUBLIC                                   :: TESTREAD                             !location of logfile with basic mimosis file locations
    CHARACTER(len=150),PUBLIC                                   :: MIMOSIS_PARLPRE                      !Location of starting input-file which contains locations of parameter files etc. pre reform
    CHARACTER(len=150),PUBLIC                                   :: MIMOSIS_PARLPOST                     !Location of starting input-file which contains locations of parameter files etc. post reform   
    CHARACTER(len=150),PUBLIC                                   :: MIMOSIS_PARLOC                       !Location of starting input-file which contains locations of parameter files etc. general variable       
    CHARACTER(len=150),PUBLIC                                   :: PIT_PARLOC                           !Location of pit paramter file   
    CHARACTER(len=150),PUBLIC                                   :: PIT_LOG                              !Location of pit log file
    CHARACTER(len=150),PUBLIC                                   :: PIT_PRERUN_LOG                       !Location of pit prerun log file    
    CHARACTER(len=150),PUBLIC                                   :: OUTPUT_PATHPRE                       !output path of the pre reform run
    CHARACTER(len=150),PUBLIC                                   :: OUTPUT_PATHPOS                       !output path of the post reform run
    CHARACTER(len=150),PUBLIC                                   :: OUTPUT_PATH                          !output path
    CHARACTER(len=150),PUBLIC                                   :: FAMAL_PARLOC                         !Location of famal paramter file   
    CHARACTER(len=150),PUBLIC                                   :: FAMAL_LOG                            !Location of famal log file    
    CHARACTER(len=150),PUBLIC                                   :: FAMAL_PRERUN_LOG                     !Location of famal prerun log file        
    CHARACTER(len=150),PUBLIC                                   :: PENSWELF_PARLOC                      !Location of penwelf paramter file   
    CHARACTER(len=150),PUBLIC                                   :: PENSWELF_LOG                         !Location of penswelf log file    
    CHARACTER(len=150),PUBLIC                                   :: PENSWELF_PRERUN_LOG                  !Location of penswelf prerun log file        
    CHARACTER(len=150),PUBLIC                                   :: CONTRIB_PARLOC                       !Location of contrib parameter file   
    CHARACTER(len=150),PUBLIC                                   :: CONTRIB_LOG                          !Location of contrib log file    
    CHARACTER(len=150),PUBLIC                                   :: CONTRIB_PRERUN_LOG                   !Location of contrib prerun log file        
    CHARACTER(len=150),PUBLIC                                   :: UNEM_PARLOC                          !Location of unemployment parameter file   
    CHARACTER(len=150),PUBLIC                                   :: UNEM_LOG                             !Location of unemployment log file    
    CHARACTER(len=150),PUBLIC                                   :: UNEM_PRERUN_LOG                      !Location of unemployment prerun log file        
    CHARACTER(len=150),PUBLIC                                   :: SICK_PARLOC                          !Location of sickness parameter file   
    CHARACTER(len=150),PUBLIC                                   :: SICK_LOG                             !Location of sickness log file        
    CHARACTER(len=150),PUBLIC                                   :: SICK_PRERUN_LOG                      !Location of sickness prerun log file            
    CHARACTER(len=150),PUBLIC                                   :: SOCBEN_PARLOC                        !Location of SOCBEN parameter file   
    CHARACTER(len=150),PUBLIC                                   :: SOCBEN_LOG                           !Location of SOCBEN log file        
    CHARACTER(len=150),PUBLIC                                   :: SOCBEN_PRERUN_LOG                    !Location of SOCBEN prerun log file            
    CHARACTER(len=150),PUBLIC                                   :: FAMREL_PARLOC                        !Location of famrel parameter file   
    CHARACTER(len=150),PUBLIC                                   :: FAMREL_LOG                           !Location of famrel log file        
    !Parameters added to read in working hours of both spouses
    CHARACTER(len=150),PUBLIC                                   :: WORKHOUR_PARLOC                      !Location of file with parameters of workours of spouse 1 and spouse 2
    CHARACTER(len=150),PUBLIC                                   :: NDISPINC_PARLOC                      !Location of file with net disposable income per individual 
    INTEGER,PUBLIC                                              :: WORKHOUR_SPOUSE1                     !working hours performed by spouse 1
    INTEGER,PUBLIC                                              :: WORKHOUR_SPOUSE2                     !working hours performed by spouse 2
    !Parameters add to store the global budget figures
    CHARACTER(len=150),PUBLIC                                   :: GLOBBUD_EMPL                         !Location of the global budget results of the employees
    CHARACTER(len=150),PUBLIC                                   :: GLOBBUD_SELFEMPL                     !Location of the global budget results of the self employed
    CHARACTER(len=150),PUBLIC,DIMENSION(300)                    :: CONTROL_FIX                          !pathnames with fully specified location       
    CHARACTER(len=150),PUBLIC,DIMENSION(300)                    :: CONTROL_IO                           !Input and output path of pit files        
    CHARACTER(len=3),PUBLIC                                     :: CONTROL                              !Control (yes or no)
    CHARACTER(len=3),PUBLIC,DIMENSION(3)                        :: CONTROL_TYPESIM                      !Control for pre or post reform simulation or evaluation of results
    CHARACTER(len=150)                                          :: MIMRUN_HEADING                       !First line of first parameter file
    CHARACTER(len=150),PUBLIC                                   :: MIMOSIS_RUN_LOG                      !Location of the log of MIMOSIS run information
    CHARACTER(len=150),PUBLIC                                   :: EVAL_START                           !Location of the file MIMOSIS_EVAL_LOCATION.txt. File with directory names of evaluation input

END MODULE MIMOSIS_DATA                                                                
